.

LyX 1.4.3 has been released. This is the third in 1.4 series and contains some bug fixes. I’ve been using 1.3 for some time but recently decided to jump to 1.4.

One of the interesting LyX 1.4′s new features is change tracking. This is very helpful if you collaborate with other people. You can easily merge (accept or reject) the changes. Deleted texts are marked in red, modified texts are in blue. For each change, who makes it and when it is made are also recorded:

LyX

For SUSE users, I found that the easiest way to install it is by using Smart, just follow this easy-to-follow step-by-step instructions if you don’t have Smart yet. From there, you just need to pick up lyx 1.4.3 from Guru’s RPM channel, available since yesterday. Couldn’t be easier.

If you compile from source and you are on AMD 64-bit processor, you may face a configure error. After fiddling around for hours, I found out that the solution is quite simple (and very obvious): run configure like this

./configure --with-qt-libraries=/usr/lib/qt3/lib64 
--with-qt-includes=/usr/lib/qt3/include --with-frontend=qt 

Alternatively you can try the CMake-based build system (yes, it’s CMake!). Use directory development/cmake/ in the source tree as the argument to cmake.

Still stuck with Windows? Get the LyX installer. As I type this, version 1.4.3 is not available yet (hopefully soon, the latest is still 1.4.2). This installer will – surprisingly – install LyX and when necessary also MikTeX, aspell, ImageMagick and Ghostview. After few easy steps, you’ll have a ready to use LyX system.

Update (9/28/2006): LyX 1.4.3 installer for Windows is already available.

So why are you still there? Grab it while it’s still fresh.